##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'SLAC Firmware Standard Library', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once GenericMemory.yaml 

MemoryArray: &MemoryArray
  name:   MemoryArray
  class: IntField
  mode:   RW
  description: Memory Array

GenericMemory: &GenericMemory 
  description: Generic Memory Module
  class: MMIODev
  configPrio: 1
  size: 0x4
  children:
    #########################################################
    MemoryArray:
      <<: *MemoryArray
      at:
        offset: 0x0
        nelms: 1
    #########################################################
